LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMenuProxyListener Interface Referencepublished

Listens for changes in menu items. More...

`import"XMenuProxyListener.idl";`

Inheritance diagram for XMenuProxyListener:

## Public Member Functions
void | menuChangedMultiple ([in] sequence< MenuMultipleChange > MenuMultipleChanges)
| is called, if the content or graphical representation/state of the menu changes completely, for one or more menu items More...
void | menuChangedSingle ([in] sequence< MenuSingleChange > MenuSingleChanges)
| is called, if the content or graphical representation/state of the menu changes, by one property for one or more menu items More...
void | menuItemDeleted ([in] short ID)
| is called, if one menu item designated by the ID, is deleted. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Listens for changes in menu items.

## Member Function Documentation

## ◆ menuChangedMultiple()

void menuChangedMultiple | ( | [in] sequence< MenuMultipleChange > | MenuMultipleChanges | ) |

is called, if the content or graphical representation/state of the menu changes completely, for one or more menu items

## ◆ menuChangedSingle()

void menuChangedSingle | ( | [in] sequence< MenuSingleChange > | MenuSingleChanges | ) |

is called, if the content or graphical representation/state of the menu changes, by one property for one or more menu items

## ◆ menuItemDeleted()

void menuItemDeleted | ( | [in] short | ID | ) |

is called, if one menu item designated by the ID, is deleted.

Parameters

  ID | [in]: the menu item

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XMenuProxyListener.idl